# $Revision: 1.3 $, $Date: 2009/10/23 13:26:28 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	SOAP
%define		pnam	WSDL
Summary:	SOAP::WSDL - SOAP with WSDL support
Name:		perl-SOAP-WSDL
Version:	2.00.10
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c3f97ffae56881be65907ee9b4efa222
URL:		http://soap-wsdl.sourceforge.net/
BuildRequires:	perl-Class-Std-Fast
BuildRequires:	perl-Module-Build
BuildRequires:	perl-Template-Toolkit
BuildRequires:	perl-Term-ReadKey
BuildRequires:	perl-TimeDate
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-modules
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	perl(SOAP::WSDL::Header)

%description
SOAP::WSDL provides easy access to Web Services with WSDL
descriptions. The WSDL is parsed and stored in memory. Your data is
serialized according to the rules in the WSDL. The only transport
mechanisms currently supported are http and https.

%package examples
Summary:	SOAP::WSDL - examples
Group:		Development/Languages/Perl

%description examples
Examples for SOAP::WSDL.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cp -a example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# don't package .pod
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/SOAP/WSDL/*.pod
rm -rf $RPM_BUILD_ROOT%{perl_vendorlib}/SOAP/WSDL/Manual

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%attr(755,root,root) %{_bindir}/wsdl2perl.pl
%{perl_vendorlib}/SOAP/*.pm
%{perl_vendorlib}/SOAP/WSDL
%{_mandir}/man3/SOAP*
%{_mandir}/man1/wsdl2perl.pl.1p*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SOAP-WSDL.spec,v $
Revision 1.3  2009/10/23 13:26:28  amateja
- added noautoreq perl(SOAP::WSDL::Header) - no such class, class SOAP::WSDL::SOAP::Header is present in this package
- release 2

Revision 1.2  2009/10/10 08:16:29  amateja
- updated to 2.00.10

Revision 1.1  2008/05/12 10:54:00  glen
- new packages by Ilja Bobkevič <ilja.bobkevic at delfi.lt>
